## aiozipkin 1.1.0%2bgit20210825.1.f78bfa1

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

FLAGS=

fmt:
ifdef CI_LINT_RUN
	pre-commit run --all-files --show-diff-on-failure
else
	pre-commit run --all-files
endif

lint: bandit fmt
	mypy --show-error-codes --strict aiozipkin tests setup.py

test:
	py.test -s -v $(FLAGS) ./tests/

vtest:
	py.test -s -v $(FLAGS) ./tests/

checkrst:
	python setup.py check --restructuredtext

bandit:
	bandit -c .bandit.yml -r ./aiozipkin

pyroma:
	pyroma -d .

testloop:
	while true ; do \
        py.test -s -v $(FLAGS) ./tests/ ; \
    done

cov cover coverage: flake checkrst
	py.test -s -v --cov-report term --cov-report html --cov aiozipkin ./tests
	@echo "open file://`pwd`/htmlcov/index.html"


clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage
	rm -rf coverage
	rm -rf build
	rm -rf htmlcov
	rm -rf dist
	rm -rf node_modules

docker_clean:
	-@docker rmi $$(docker images -q --filter "dangling=true")
	-@docker rm $$(docker ps -q -f status=exited)
	-@docker volume ls -qf dangling=true | xargs -r docker volume rm

zipkin_start:
	docker run --name zipkin -d --rm  -p 9411:9411 openzipkin/zipkin:2

zipkin_stop:
	docker stop zipkin

doc:
	make -C docs html
	@echo "open file://`pwd`/docs/_build/html/index.html"

.PHONY: doc-spelling
doc-spelling:
	@make -C docs spelling SPHINXOPTS="-W -E"


setup init:
	pip install -r requirements-dev.txt -r requirements-doc.txt
	pre-commit install

.PHONY: all flake test vtest cov clean doc ci

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = aiozipkin
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## aiozipkin 1.1.1a1

=== debian/changelog ===
aiozipkin (1.1.1a1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Feb 2022 15:16:14 +0000

aiozipkin (1.1.0+git20210825.1.f78bfa1-2) unstable; urgency=medium

  * Rebuild source-only.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 24 Dec 2021 19:24:55 +0000

aiozipkin (1.1.0+git20210825.1.f78bfa1-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 06 Sep 2021 14:27:03 +0100

aiozipkin (1.1.0-1) unstable; urgency=low

  * Initial release. Closes: #988666

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 May 2021 17:07:05 +0100

=== debian/control ===
Rules-Requires-Root: no
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 12), dh-sequence-python3, python3-all, python3-aiohttp (>= 3.7.2), python3-setuptools
Testsuite: autopkgtest-pkg-python
Source: aiozipkin
Priority: optional
Section: python
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Vcs-Git: https://salsa.debian.org/jelmer/aiozipkin.git
Vcs-Browser: https://salsa.debian.org/jelmer/aiozipkin

Package: python3-aiozipkin
Depends: ${python3:Depends}, ${misc:Depends}
Architecture: all
Description: Distributed tracing instrumentation for asyncio application with zipkin
 aiozipkin is a Python module that adds distributed tracing
 capabilities from asyncio applications with zipkin (http://zipkin.io)
 server instrumentation.
 .
 zipkin is a distributed tracing system. It helps gather timing data
 needed to troubleshoot latency problems in microservice architectures.
 It manages both the collection and lookup of this data. Zipkin’s
 design is based on the Google Dapper paper.
 .
 Applications are instrumented with  aiozipkin report timing data to
 zipkin. The Zipkin UI also presents a Dependency diagram showing how
 many traced requests went through each application. If you are
 troubleshooting latency problems or errors, you can filter or sort all
 traces based on the application, length of trace, annotation, or
 timestamp.

=== debian/watch ===
version=4
https://pypi.debian.net/aiozipkin/aiozipkin-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
